Page MenuHomePhabricator

CX2: Insert media autocomplete should use the translation page name instead of "Content Translation"
Closed, ResolvedPublic

Description

When users insert a new image in Content Translation, a media explorer panel is open, as it would do in VisualEditor. In order to show relevant results the search is prefilled with the name of the current page. In the case of Content Translation this results in the string "Content Translation" (or equivalent in the target language), showing images that are unrelated to the article being translated (as illustrated below). The title of the translation should be used instead.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterMake page title the target title
mediawiki/extensions/VisualEditor : masterve.ui.MWMediaDialog.js: Change page title for Content Translation
mediawiki/extensions/VisualEditor : masterve.ui.MWMediaDialog.js: Change page title for Content Translation
mediawiki/extensions/VisualEditor : masterve.ui.MWMediaDialog.js: Change page title for Content Translation
mediawiki/extensions/VisualEditor : masterve.ui.MWMediaDialog.js: Change page title for Content Translation

Event Timeline

Pginer-WMF triaged this task as Normal priority.Apr 26 2018, 10:42 AM
Pginer-WMF lowered the priority of this task from Normal to Low.
Pginer-WMF created this task.
Vvjjkkii renamed this task from CX2: Insert media autocomplete should use the translation page name instead of "Content Translation" to j6daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Mainframe98 renamed this task from j6daaaaaaa to CX2: Insert media autocomplete should use the translation page name instead of "Content Translation".Jul 1 2018, 8:14 AM
Mainframe98 lowered the priority of this task from High to Low.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added a subscriber: Aklapper.

Change 518101 had a related patch set uploaded (by Townie; owner: Townie):
[mediawiki/extensions/VisualEditor@master] ve.ui.MWMediaDialog.js: Change page title for Content Translation

https://gerrit.wikimedia.org/r/518101

Change 518105 had a related patch set uploaded (by Townie; owner: Townie):
[mediawiki/extensions/VisualEditor@master] ve.ui.MWMediaDialog.js: Change page title for Content Translation

https://gerrit.wikimedia.org/r/518105

Change 518227 had a related patch set uploaded (by Townie; owner: Townie):
[mediawiki/extensions/VisualEditor@master] ve.ui.MWMediaDialog.js: Change page title for Content Translation

https://gerrit.wikimedia.org/r/518227

Change 518105 abandoned by Townie:
ve.ui.MWMediaDialog.js: Change page title for Content Translation

Reason:
Moved to: 2cb9346b59d8b2bc9abf69aa04fdd588bdfa4c41

https://gerrit.wikimedia.org/r/518105

Change 518101 abandoned by Townie:
ve.ui.MWMediaDialog.js: Change page title for Content Translation

https://gerrit.wikimedia.org/r/518101

Change 519516 had a related patch set uploaded (by Townie; owner: Townie):
[mediawiki/extensions/VisualEditor@master] ve.ui.MWMediaDialog.js: Change page title for Content Translation

https://gerrit.wikimedia.org/r/519516

Change 519519 had a related patch set uploaded (by Townie; owner: Townie):
[mediawiki/extensions/VisualEditor@master] ve.ui.MWMediaDialog.js: Change page title for Content Translation

https://gerrit.wikimedia.org/r/519519

Change 519519 abandoned by Townie:
ve.ui.MWMediaDialog.js: Change page title for Content Translation

Reason:
Duplicate

https://gerrit.wikimedia.org/r/519519

Change 519516 abandoned by Townie:
ve.ui.MWMediaDialog.js: Change page title for Content Translation

Reason:
Duplicate, see Iafa84c05bea08ebb061ee6d1323eb50945b39815

https://gerrit.wikimedia.org/r/519516

Change 518227 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Make page title the target title

https://gerrit.wikimedia.org/r/518227

matmarex closed this task as Resolved.Jul 15 2019, 7:10 PM
matmarex assigned this task to Townie.